import {
  ConfirmSignUpCommand,
  ConfirmSignUpCommandInput,
} from '@aws-sdk/client-cognito-identity-provider';
import { cognitoClient } from './awsCognito';
import { poolData } from '../constants';

export const confirmSignUp = async (
  email: string,
  code: string
): Promise<void> => {
  const params: ConfirmSignUpCommandInput = {
    ClientId: poolData.ClientId,
    Username: email,
    ConfirmationCode: code,
  };

  console.log(params);

  const command = new ConfirmSignUpCommand(params);

  try {
    const response = await cognitoClient.send(command);
    console.log('ConfirmSignUp success:', response);
  } catch (error) {
    console.error('ConfirmSignUp failed:', error);
    throw error;
  }
};
